class RS232
{
  public:
    static void init(uint32_t baudrate=115200)
    {
  	    //setzen der Baudrate:
	    UBRRH = (uint8_t) ((TAKTFREQUENZ/8/baudrate-1)>>8); 
	    UBRRL = (uint8_t)  (TAKTFREQUENZ/8/baudrate-1);     
        //einfache (nicht doppelte) bertragungsgeschwindigkeit:
        UCSRA = (1<<U2X);
	    //Setzen des Nachrichtenformats: 8 Datenbits, 1 Stopbits
	    UCSRC = (1<<URSEL)|(1<<UCSZ1)|(1<<UCSZ0);
    }
    static void start(bool senden, bool empfangen)
    {
        if(senden==true)
            UCSRB |= 1<<TXEN;
        if(empfangen==true)
            UCSRB |= 1<<RXEN;
    }
    static void stop()
    {
            UCSRB &= 255 - (1<<TXEN) - (1<<RXEN);
    }
    static void sendeZeichen(uint8_t zeichen)
    {
        while( !(UCSRA & (1<<UDRE)) ); 
        UDR = zeichen;                 
    }
};
